# v4.25.4 (Tue Sep 26 2023)

#### 🐛 Bug Fix

- Replace spec tab infer toggle with Toby toggle [#2991](https://github.com/knapsack-labs/app-monorepo/pull/2991) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.25.3 (Tue Sep 26 2023)

### Release Notes

#### Adds Pages settings for Table of Contents ([#2979](https://github.com/knapsack-labs/app-monorepo/pull/2979))

Adds more fine grain control for Table of Contents
- Enables setting the default for all pages to hidden
- Enables excluding heading levels

<img width="1507" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/94e88e38-56ff-4229-ac31-fc7ec8298d22">

---

#### 🐛 Bug Fix

- Adds Pages settings for Table of Contents [#2979](https://github.com/knapsack-labs/app-monorepo/pull/2979) ([@GormanDesign](https://github.com/GormanDesign))
- Prevent anchor tags from appearing in table of contents [#2989](https://github.com/knapsack-labs/app-monorepo/pull/2989) ([@GormanDesign](https://github.com/GormanDesign))
- Fix content block actions not being visible on keyboard focus [#2987](https://github.com/knapsack-labs/app-monorepo/pull/2987) ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Prevents destructuring error in metric summarization when block doesn't have a block type [#2990](https://github.com/knapsack-labs/app-monorepo/pull/2990) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.25.1 (Fri Sep 22 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3717-remove-can-edit-override-from-cypress ([@mabry1985](https://github.com/mabry1985))

#### 🏠 Internal

- remove forced can edit is true guard for cypress [#2977](https://github.com/knapsack-labs/app-monorepo/pull/2977) ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.25.0 (Fri Sep 22 2023)

### Release Notes

#### add infer spec toggle to add temple form KSP-3700 ([#2961](https://github.com/knapsack-labs/app-monorepo/pull/2961))

When adding a Template to a Pattern, the option for if the Spec is Inferred initially can be set up front. 

![CleanShot 2023-09-20 at 11 06 53](https://github.com/knapsack-labs/app-monorepo/assets/569699/3b59fc20-e3e3-4b10-9d4b-eb6006fd5a62)

---

#### 🚀 Enhancement

- improve CLI speed by avoiding db.yml prettier formatting KSP-3713 [#2980](https://github.com/knapsack-labs/app-monorepo/pull/2980) ([@illepic](https://github.com/illepic))
- add infer spec toggle to add temple form KSP-3700 [#2961](https://github.com/knapsack-labs/app-monorepo/pull/2961) ([@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- Error toasts require user dismissal [#2973](https://github.com/knapsack-labs/app-monorepo/pull/2973) ([@GormanDesign](https://github.com/GormanDesign))
- Enable hiding knapsack branding [#2972](https://github.com/knapsack-labs/app-monorepo/pull/2972) ([@GormanDesign](https://github.com/GormanDesign))
- add aria labels for nav [#2978](https://github.com/knapsack-labs/app-monorepo/pull/2978) ([@mabry1985](https://github.com/mabry1985))
- Merge remote-tracking branch 'origin/v3' into feature/update-v4-from-v3 ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/update-v4-from-v3 ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- update v4 from v3 [#2976](https://github.com/knapsack-labs/app-monorepo/pull/2976) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 4

- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.24.11 (Fri Sep 22 2023)

#### 🐛 Bug Fix

- Prevent markdown block from announcing as button [#2964](https://github.com/knapsack-labs/app-monorepo/pull/2964) ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Fixes home link default fallback styling [#2974](https://github.com/knapsack-labs/app-monorepo/pull/2974) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.24.10 (Thu Sep 21 2023)

#### 🐛 Bug Fix

- setup Sentry for App API & App Client [#2966](https://github.com/knapsack-labs/app-monorepo/pull/2966) ([@EvanLovely](https://github.com/EvanLovely) [@freneticpixel](https://github.com/freneticpixel))
- Merge branch 'latest' into feature/moar-sentry ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/moar-sentry ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.24.9 (Thu Sep 21 2023)

#### 🐛 Bug Fix

- adds focus state to custom toggle inputs [#2967](https://github.com/knapsack-labs/app-monorepo/pull/2967) ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3599-add-inline-changelog-to-ui ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.24.7 (Thu Sep 21 2023)

#### 🐛 Bug Fix

- Merge remote-tracking branch 'origin/v3' into feature/update-v4-from-v3 ([@EvanLovely](https://github.com/EvanLovely))
- Fixes icon blocking interaction on status item [#2959](https://github.com/knapsack-labs/app-monorepo/pull/2959) ([@GormanDesign](https://github.com/GormanDesign))
- Merge remote-tracking branch 'origin/latest' into feature/update-v4-from-v3 ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- update v4 from v3 (Sentry implementation) [#2958](https://github.com/knapsack-labs/app-monorepo/pull/2958) ([@illepic](https://github.com/illepic) [@EvanLovely](https://github.com/EvanLovely))

#### Authors: 3

- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.24.4 (Tue Sep 19 2023)

#### 🐛 Bug Fix

- Improve focus states [#2954](https://github.com/knapsack-labs/app-monorepo/pull/2954) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3618-update-panel-keyboard-navigation ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.24.3 (Tue Sep 19 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into footer-link-aria-label ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.24.0 (Mon Sep 18 2023)

### Release Notes

#### Create Callout Block ([#2937](https://github.com/knapsack-labs/app-monorepo/pull/2937))

<img width="1108" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/2a45b277-2a09-4adb-932f-2e371db911a2">

---

#### 🚀 Enhancement

- Create Callout Block [#2937](https://github.com/knapsack-labs/app-monorepo/pull/2937) ([@GormanDesign](https://github.com/GormanDesign))

#### 🐛 Bug Fix

- Fixes scroll restoration when navigating [#2940](https://github.com/knapsack-labs/app-monorepo/pull/2940) ([@GormanDesign](https://github.com/GormanDesign))
- Fixes font family not applying to secondary nav [#2942](https://github.com/knapsack-labs/app-monorepo/pull/2942) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.23.4 (Fri Sep 15 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3663-nav-items-li-items-shouldnt-have-rolebutton ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.23.3 (Fri Sep 15 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into renovate/langchain-0.x ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.23.2 (Thu Sep 14 2023)

#### 🐛 Bug Fix

- Table of contents uses body font family [#2934](https://github.com/knapsack-labs/app-monorepo/pull/2934) ([@GormanDesign](https://github.com/GormanDesign))
- add inert property to panel aside [#2932](https://github.com/knapsack-labs/app-monorepo/pull/2932) ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.23.1 (Thu Sep 14 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into renovate/langchain-0.x ([@greylabel](https://github.com/greylabel))
- Merge branch 'latest' into renovate/langchain-0.x ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Grant Gaudet ([@greylabel](https://github.com/greylabel))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.22.14 (Tue Sep 12 2023)

#### 🐛 Bug Fix

- KSP - 3620 Fixed Discard Changes [#2921](https://github.com/knapsack-labs/app-monorepo/pull/2921) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))

#### Authors: 2

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

---

# v4.22.12 (Fri Sep 08 2023)

#### 🐛 Bug Fix

- Add ability to reset appearance elements on an individual basis [#2877](https://github.com/knapsack-labs/app-monorepo/pull/2877) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.22.11 (Fri Sep 08 2023)

#### 🐛 Bug Fix

- Fixes column gap for block collection [#2919](https://github.com/knapsack-labs/app-monorepo/pull/2919) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.22.10 (Fri Sep 08 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3570-determine-method-for-generating-preview ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'settings-ux-improvements' into feature/ksp-3570-determine-method-for-generating-preview ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'settings-ux-improvements' into feature/ksp-3570-determine-method-for-generating-preview ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.22.9 (Fri Sep 08 2023)

#### 🐛 Bug Fix

- KSP-3303 Replaced the rename token logic to not include default type [#2901](https://github.com/knapsack-labs/app-monorepo/pull/2901) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge branch 'latest' into feature/ksp-3303-ensure-type-is-not-in-token-json-output-after-rename-group ([@EmmanuelVelez](https://github.com/EmmanuelVelez))

#### Authors: 2

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

---

# v4.22.7 (Thu Sep 07 2023)

#### 🏠 Internal

- setup Plain API endpoints [#2912](https://github.com/knapsack-labs/app-monorepo/pull/2912) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.22.6 (Wed Sep 06 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3454-sort-design-token-names-with-numeric-scale-in-ascending ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.22.3 (Tue Sep 05 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3612-if-ui-is-open-during-deploy-chunk-errors-crash-app ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- KSP-3612: Prevent chunk errors from redirecting to index.html [#2900](https://github.com/knapsack-labs/app-monorepo/pull/2900) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 1

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.22.2 (Fri Sep 01 2023)

#### 🐛 Bug Fix

- Clicking a page nav item with children toggles collapsed state when active [#2903](https://github.com/knapsack-labs/app-monorepo/pull/2903) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.22.0 (Fri Sep 01 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into settings-ux-improvements ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3446-color-field-does-not-reset-on-discard-changes ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into settings-ux-improvements ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into improve-settings-disabled-states ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.21.11 (Tue Aug 29 2023)

#### 🐛 Bug Fix

- KSP - 3511 - Added function to reorganize sets and respect Hierarchy [#2881](https://github.com/knapsack-labs/app-monorepo/pull/2881) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge branch 'latest' into feature/ksp-3546-debug-azure-webhook ([@freneticpixel](https://github.com/freneticpixel))
- Merge branch 'latest' into feature/ksp-3511-when-importing-tokens-studio-sets-respect-set-hierarchy ([@EmmanuelVelez](https://github.com/EmmanuelVelez))

#### Authors: 3

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.21.10 (Tue Aug 29 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into mabry1985-patch-1 ([@mabry1985](https://github.com/mabry1985))

#### 🏠 Internal

- add Number with Unit Toby field KSP-3574 [#2873](https://github.com/knapsack-labs/app-monorepo/pull/2873) ([@EvanLovely](https://github.com/EvanLovely) [@GormanDesign](https://github.com/GormanDesign))
- Remove redundant getTypeFromPath util [#2882](https://github.com/knapsack-labs/app-monorepo/pull/2882) ([@mabry1985](https://github.com/mabry1985))
- Add cypress tests for all nav menu actions [#2886](https://github.com/knapsack-labs/app-monorepo/pull/2886) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 3

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.21.4 (Wed Aug 23 2023)

#### 🐛 Bug Fix

- Add Convert to Pattern to NavMenu [#2858](https://github.com/knapsack-labs/app-monorepo/pull/2858) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3547-add-convert-to-pattern-option-to-nav-item-menu ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.21.3 (Wed Aug 23 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3493-add-ability-to-move-menu-items-from-context-menu ([@mabry1985](https://github.com/mabry1985))
- merge latest ([@mabry1985](https://github.com/mabry1985))

#### 🏠 Internal

- error when Tokens Studio "Expand Shadows" option was selected KSP-3540 [#2864](https://github.com/knapsack-labs/app-monorepo/pull/2864) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.21.2 (Wed Aug 23 2023)

#### 🏠 Internal

- Update Typescript [#2856](https://github.com/knapsack-labs/app-monorepo/pull/2856) ([@renovate[bot]](https://github.com/renovate[bot]))

#### Authors: 1

- [@renovate[bot]](https://github.com/renovate[bot])

---

# v4.21.1 (Tue Aug 22 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3522-bug-after-editing-token-you-cannot-hit-back-button ([@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge branch 'feature/ksp-3522-bug-after-editing-token-you-cannot-hit-back-button' of github.com:knapsack-cloud-internal/app-monorepo into feature/ksp-3522-bug-after-editing-token-you-cannot-hit-back-button ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

#### Authors: 2

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

---

# v4.20.0 (Tue Aug 22 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3496-add-drag-functionality-to-primary-navigation-menu-items ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3496-add-drag-functionality-to-primary-navigation-menu-items ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.19.8 (Mon Aug 21 2023)

#### 🐛 Bug Fix

- during update script, handle null subPages KSP-3542 [#2853](https://github.com/knapsack-labs/app-monorepo/pull/2853) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.19.7 (Fri Aug 18 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3495-add-functionality-to-convert-page-to-pattern ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.19.5 (Thu Aug 17 2023)

#### 🏠 Internal

- KSP-3546: Fixing Azure webhook structure [#2837](https://github.com/knapsack-labs/app-monorepo/pull/2837) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 1

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.19.3 (Thu Aug 17 2023)

#### 🏠 Internal

- Updated logos on auth0 emails [#2826](https://github.com/knapsack-labs/app-monorepo/pull/2826) ([@GormanDesign](https://github.com/GormanDesign))
- Add mandrill emails templates [#2817](https://github.com/knapsack-labs/app-monorepo/pull/2817) ([@GormanDesign](https://github.com/GormanDesign))
- refactor: update vercel config [#2831](https://github.com/knapsack-labs/app-monorepo/pull/2831) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.19.2 (Tue Aug 15 2023)

#### 🐛 Bug Fix

- Upgrade auto and lerna to latest [#2784](https://github.com/knapsack-labs/app-monorepo/pull/2784) ([@freneticpixel](https://github.com/freneticpixel) [@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-3508-update-views ([@freneticpixel](https://github.com/freneticpixel))
- Merge branch 'latest' into upgrade-auto-lerna ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- Updates to aggregate design token(s) block types [#2823](https://github.com/knapsack-labs/app-monorepo/pull/2823) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.19.1 (Tue Aug 15 2023)

#### 🐛 Bug Fix

- KSP-3533: warn about slots not migrating [#2830](https://github.com/knapsack-labs/app-monorepo/pull/2830) ([@illepic](https://github.com/illepic))
- KSP-3314 Refactored delete token logic to delete composite tokens [#2827](https://github.com/knapsack-labs/app-monorepo/pull/2827) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge latest in ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

#### Authors: 3

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Christopher Bloom ([@illepic](https://github.com/illepic))
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

---

# v4.19.0 (Tue Aug 15 2023)

#### 🐛 Bug Fix

- Merge from latest ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into renovate/turbo-monorepo ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- improve start command [#2819](https://github.com/knapsack-labs/app-monorepo/pull/2819) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 3

- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.18.0 (Fri Aug 11 2023)

#### 🚀 Enhancement

- Add workspace favicon setting [#2800](https://github.com/knapsack-labs/app-monorepo/pull/2800) ([@GormanDesign](https://github.com/GormanDesign))

#### 🐛 Bug Fix

- Merge branch 'latest' into add-favicon-setting ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Toby homepage updates [#2815](https://github.com/knapsack-labs/app-monorepo/pull/2815) ([@knapsack-cloud[bot]](https://github.com/knapsack-cloud[bot]) [@GormanDesign](https://github.com/GormanDesign))

#### Authors: 2

- [@knapsack-cloud[bot]](https://github.com/knapsack-cloud[bot])
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.17.0 (Fri Aug 11 2023)

#### 🚀 Enhancement

- Instantly Publish changes instead of having to wait ~15 minutes 🚀 [#2807](https://github.com/knapsack-labs/app-monorepo/pull/2807) ([@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3508-update-views ([@freneticpixel](https://github.com/freneticpixel))
- Merge remote-tracking branch 'origin/latest' into feature/setup-insta-publish ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- setup siteInstances publishing cron job [#2810](https://github.com/knapsack-labs/app-monorepo/pull/2810) ([@EvanLovely](https://github.com/EvanLovely))
- break up cron jobs [#2814](https://github.com/knapsack-labs/app-monorepo/pull/2814) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.16.4 (Fri Aug 11 2023)

### Release Notes

#### Adds setting option to hide the workspace name in the nav bar ([#2791](https://github.com/knapsack-labs/app-monorepo/pull/2791))

#### New workspace setting to hide the text next to your logo when you don't want it.
A logo must be present to hide your workspace name. This ensures that there is always a "home" link available in your navigation

| Default | Hide Name in Navigation On |
|--------|--------|
| ![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/af81e39a-4385-4893-8649-dcc01cb14be9) | ![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/7c6542e4-46b1-4f09-a720-b7082e8b7acc) | 

**Settings Page:**
![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/7edeb3b3-8e26-4c1a-8ec1-f8cd44d394c8)

#### Fix empty gap when page header is full height in view mode ([#2793](https://github.com/knapsack-labs/app-monorepo/pull/2793))

<img width="1511" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/1a097739-9f9e-4fdb-8908-92e0c5829e87">

- Page footer now lays on top of full height header in view mode
- Color of footer items will change based on page header background color

---

#### 🐛 Bug Fix

- Adds setting option to hide the workspace name in the nav bar [#2791](https://github.com/knapsack-labs/app-monorepo/pull/2791) ([@GormanDesign](https://github.com/GormanDesign))
- Fix empty gap when page header is full height in view mode [#2793](https://github.com/knapsack-labs/app-monorepo/pull/2793) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into add-hide-title-setting ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Adds iron mountain pat [#2813](https://github.com/knapsack-labs/app-monorepo/pull/2813) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.16.2 (Fri Aug 11 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/update-v4-w-v3-2 ([@freneticpixel](https://github.com/freneticpixel))
- Merge remote-tracking branch 'origin/latest' into feature/insta-publish ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/feature/cleanup-load-site' into feature/insta-publish ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.16.1 (Wed Aug 09 2023)

#### 🐛 Bug Fix

- Merge remote-tracking branch 'origin/latest' into feature/update-v4-w-v3 ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into EvanLovely-patch-18 ([@rockymountainhigh1943](https://github.com/rockymountainhigh1943))

#### 🏠 Internal

- when deleting branches change status instead of actually deleting [#2796](https://github.com/knapsack-labs/app-monorepo/pull/2796) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jake Love ([@rockymountainhigh1943](https://github.com/rockymountainhigh1943))

---

# v4.15.0 (Tue Aug 08 2023)

### Release Notes

#### add support for importing Tokens Studio Sets ([#2785](https://github.com/knapsack-labs/app-monorepo/pull/2785))

- This changes our Token Studio import logic to do this when it comes across a set:
  - If ref can be resolved, leave it as-is
  - Loop through all Sets (in reverse order) and see if the token can be found in them. If found change ref from something like `{color.blue}` to `{core.color.blue}` (if it was found in the "core" set). Note that this does work in tokens that contain multiple references, like `{dimension.xs} * {dimension.scale}`

---

#### 🚀 Enhancement

- add support for importing Tokens Studio Sets [#2785](https://github.com/knapsack-labs/app-monorepo/pull/2785) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.14.0 (Tue Aug 08 2023)

### Release Notes

#### Dynamic Table of Contents ([#2710](https://github.com/knapsack-labs/app-monorepo/pull/2710))

**Table of Contents Appearance:**
<img width="1510" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/84334adf-edd7-4036-b7a0-807caafff541">

**Option to Hide Table of Contents:**
<img width="358" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/19493332-44a9-450e-bad8-4c537f0f354e">

---

#### 🚀 Enhancement

- Dynamic Table of Contents [#2710](https://github.com/knapsack-labs/app-monorepo/pull/2710) ([@EvanLovely](https://github.com/EvanLovely) [@GormanDesign](https://github.com/GormanDesign))

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/toc-poc ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/toc-poc ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.13.3 (Sat Aug 05 2023)

### Release Notes

#### allow Tokens Studio imports to have multiple refs ([#2778](https://github.com/knapsack-labs/app-monorepo/pull/2778))

Allows import of token values like `rgba({text.primary}, {action.disabledOpacity})`

---

#### 🐛 Bug Fix

- allow Tokens Studio imports to have multiple refs [#2778](https://github.com/knapsack-labs/app-monorepo/pull/2778) ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- Token Studio import of multiple shadows turns into string for now KSP-3507 [#2777](https://github.com/knapsack-labs/app-monorepo/pull/2777) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.13.2 (Fri Aug 04 2023)

#### 🐛 Bug Fix

- Merge remote-tracking branch 'origin/latest' into feature/token-quick-fixes ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- setup nested slot editing [#2753](https://github.com/knapsack-labs/app-monorepo/pull/2753) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.13.1 (Thu Aug 03 2023)

#### 🐛 Bug Fix

- KSP  - 3481 Expand dimension units to include em and % [#2771](https://github.com/knapsack-labs/app-monorepo/pull/2771) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EvanLovely](https://github.com/EvanLovely) [@EmmanuelVelez](https://github.com/EmmanuelVelez))

#### 🏠 Internal

- create start command that spins up UI, API, and Workspace [#2772](https://github.com/knapsack-labs/app-monorepo/pull/2772) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 3

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.13.0 (Thu Aug 03 2023)

#### 🚀 Enhancement

- improved Tokens Studio import KSP-3500 [#2763](https://github.com/knapsack-labs/app-monorepo/pull/2763) ([@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- Merge remote-tracking branch 'origin/latest' into feature/improved-tokens-studio-import ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.12.0 (Thu Aug 03 2023)

### Release Notes

#### Adds ability to quickly add subpage KSP-3494 ([#2752](https://github.com/knapsack-labs/app-monorepo/pull/2752))

<img width="328" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/609cefb8-dd57-4dad-adbb-74861954d799">

![CleanShot 2023-08-03 at 10 39 01](https://github.com/knapsack-labs/app-monorepo/assets/569699/bc8f6115-6764-44dd-b9c2-939f37c5e2c9)

- Adds ability to add a child page directly from a nav item
- Renames "Add Subpage" to "Add Page" in sidebar footer to differentiate the two actions

---

#### 🚀 Enhancement

- Adds ability to quickly add subpage KSP-3494 [#2752](https://github.com/knapsack-labs/app-monorepo/pull/2752) ([@GormanDesign](https://github.com/GormanDesign))

#### 🐛 Bug Fix

- Merge branch 'latest' into quick-add-subpage ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Increasing timeout on commit changes event to 60s [#2767](https://github.com/knapsack-labs/app-monorepo/pull/2767) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.11.0 (Wed Aug 02 2023)

#### 🚀 Enhancement

- KSP-3311: cubicBezier and transition in UI [#2712](https://github.com/knapsack-labs/app-monorepo/pull/2712) ([@illepic](https://github.com/illepic) [@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- KSP-3423 All Tokens Page [#2765](https://github.com/knapsack-labs/app-monorepo/pull/2765) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez) [@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into GormanDesign-patch-1 ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3423-tokens-admin-add-all-tokens-view ([@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge branch 'latest' into feature/ksp-3311-tokens-restore-cubicbezier-transition-token-types-in-ui ([@illepic](https://github.com/illepic))
- Merge branch 'latest' of github.com:knapsack-cloud-internal/app-monorepo into feature/ksp-3423-tokens-admin-add-all-tokens-view ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

#### Authors: 5

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Christopher Bloom ([@illepic](https://github.com/illepic))
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.10.7 (Tue Aug 01 2023)

#### 🐛 Bug Fix

- fix linting warnings [#2755](https://github.com/knapsack-labs/app-monorepo/pull/2755) ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3468-fix-github-action-warnings ([@mabry1985](https://github.com/mabry1985))
- completely removes unused vars ([@mabry1985](https://github.com/mabry1985))
- fixes linting warning ([@mabry1985](https://github.com/mabry1985))
- fix linting warnings ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.10.6 (Tue Aug 01 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3463-fix-bug-export-of-design-tokens-for-figma-does-not-include ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into tokens-name-display-format-setting ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- KSP-3480: Set auth0 cookie domain to root knapsack.cloud [#2751](https://github.com/knapsack-labs/app-monorepo/pull/2751) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 3

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.10.5 (Mon Jul 31 2023)

#### 🐛 Bug Fix

- Add resolved value tooltip to token admin value column [#2744](https://github.com/knapsack-labs/app-monorepo/pull/2744) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.10.4 (Fri Jul 28 2023)

#### 🐛 Bug Fix

- slots form - fix bug w multiple items, ensure it can be reset [#2746](https://github.com/knapsack-labs/app-monorepo/pull/2746) ([@EvanLovely](https://github.com/EvanLovely))
- Fixes issue where KS would blow up if appearance form was submitted [#2748](https://github.com/knapsack-labs/app-monorepo/pull/2748) ([@mabry1985](https://github.com/mabry1985) [@GormanDesign](https://github.com/GormanDesign))
- Merge remote-tracking branch 'origin/latest' into feature/slots-form-fix ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- ks-sandbox - add more card and grid demos [#2750](https://github.com/knapsack-labs/app-monorepo/pull/2750) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 3

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.10.3 (Fri Jul 28 2023)

#### 🐛 Bug Fix

- KSP-3400 Studio to Spec Token References [#2729](https://github.com/knapsack-labs/app-monorepo/pull/2729) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))

#### Authors: 2

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

---

# v4.10.2 (Fri Jul 28 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3427-add-mtls-to-gitlab-rest-provider ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- Adding MTLS support to gitlab rest provider [#2695](https://github.com/knapsack-labs/app-monorepo/pull/2695) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 1

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.10.1 (Thu Jul 27 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3467-error-in-setting-text-color-within-workspace ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.10.0 (Tue Jul 25 2023)

#### 🚀 Enhancement

- Bumping version to fix auto shipit publishing [#2735](https://github.com/knapsack-labs/app-monorepo/pull/2735) ([@freneticpixel](https://github.com/freneticpixel))

#### 🐛 Bug Fix

- bumping version to fix auto shipit publishing ([@freneticpixel](https://github.com/freneticpixel))
- Merge branch 'latest' into renovate/pnpm-8.x ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 1

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.9.2 (Fri Jul 21 2023)

#### 🐛 Bug Fix

- KSP 3447 - Removed inherit token type option [#2728](https://github.com/knapsack-labs/app-monorepo/pull/2728) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))

#### Authors: 2

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

---

# v4.9.1 (Thu Jul 20 2023)

### Release Notes

#### improved slots form UI ([#2665](https://github.com/knapsack-labs/app-monorepo/pull/2665))

New Slots Form with nicer UI

<img width="371" alt="CleanShot 2023-07-18 at 16 33 59@2x" src="https://github.com/knapsack-labs/app-monorepo/assets/569699/e0b312b4-8bb4-4a64-bbac-3176c4b68183">

---

#### 🐛 Bug Fix

- improved slots form UI [#2665](https://github.com/knapsack-labs/app-monorepo/pull/2665) ([@EvanLovely](https://github.com/EvanLovely) [@GormanDesign](https://github.com/GormanDesign))
- Merge remote-tracking branch 'origin/slot-form-ui' into feature/slot-form-refactor ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/feature/update-react-hook-form' into feature/slot-form-refactor ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/feature/slot-form-refactor' into slot-form-ui ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/slot-form-refactor ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/slot-form-refactor ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- toby: select - removes deprecated `selected` <option> attribute [#2723](https://github.com/knapsack-labs/app-monorepo/pull/2723) ([@EvanLovely](https://github.com/EvanLovely))
- update react-hook-form, fix types regression [#2724](https://github.com/knapsack-labs/app-monorepo/pull/2724) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.9.0 (Wed Jul 19 2023)

#### 🐛 Bug Fix

- KSP-3383 Mapped studio dimension, spacing, lineHeights, color, fontSize to spec types [#2650](https://github.com/knapsack-labs/app-monorepo/pull/2650) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez) [@illepic](https://github.com/illepic) [@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'feature/ksp-3383-map-spacing-dimension-studio-types-to-dimension-spec-types' of github.com:knapsack-cloud-internal/app-monorepo into feature/ksp-3383-map-spacing-dimension-studio-types-to-dimension-spec-types ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Merge branch 'latest' into feature/ksp-3383-map-spacing-dimension-studio-types-to-dimension-spec-types ([@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge branch 'latest' into feature/ksp-3386-map-shadow-studio-type-to-shadow-spec-type ([@illepic](https://github.com/illepic))
- Merge branch 'latest' of github.com:knapsack-cloud-internal/app-monorepo into feature/ksp-3383-map-spacing-dimension-studio-types-to-dimension-spec-types ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Merge branch 'latest' into feature/ksp-3383-map-spacing-dimension-studio-types-to-dimension-spec-types ([@illepic](https://github.com/illepic))
- Merge latest in ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Merge branch 'latest' of github.com:knapsack-cloud-internal/app-monorepo into feature/ksp-3384-map-opacitylineheightnumbers-studio-types-to-spec-number ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

#### Authors: 4

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Christopher Bloom ([@illepic](https://github.com/illepic))
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.8.3 (Tue Jul 18 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3438-cypress-tests-to-edit-save-each-token ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.8.2 (Tue Jul 18 2023)

#### 🐛 Bug Fix

- Allow users to upload files for token import [#2711](https://github.com/knapsack-labs/app-monorepo/pull/2711) ([@mabry1985](https://github.com/mabry1985))
- Bump version to: v4.8.0 \[skip ci\] ([@KnapsackBot](https://github.com/KnapsackBot))
- Merge branch 'latest' into feature/ksp-3353-token-import-field-should-also-have-ability-to-upload-json ([@mabry1985](https://github.com/mabry1985))

#### 🏠 Internal

- Feature/ksp 3403 add components to ks sandbox [#2717](https://github.com/knapsack-labs/app-monorepo/pull/2717) ([@mabry1985](https://github.com/mabry1985) [@KnapsackBot](https://github.com/KnapsackBot))
- Create Collapse and Accordion components [#2719](https://github.com/knapsack-labs/app-monorepo/pull/2719) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 3

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- KnapsackBot ([@KnapsackBot](https://github.com/KnapsackBot))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.8.1 (Mon Jul 17 2023)

### Release Notes

#### v4 update script detects if Markdown Block has content that cannot convert to Text Editor - then will skip KSP-3339 KSP-3413 ([#2705](https://github.com/knapsack-labs/app-monorepo/pull/2705))

When updating to v4 via `npx @knapsack/update@latest` Markdown blocks will attempt to convert to Text Editor blocks. In certain scenarios they will now be left as Markdown blocks:

- Links that contain Images
- Tables

---

#### 🐛 Bug Fix

- v4 update script detects if Markdown Block has content that cannot convert to Text Editor - then will skip KSP-3339 KSP-3413 [#2705](https://github.com/knapsack-labs/app-monorepo/pull/2705) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.6.0 (Tue Jul 11 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into v4-toby-doc-updates ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.5.1 (Mon Jul 10 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into node-18-pruned-lock ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- App-api and Toby docker images now use node 18 and frozen lock file [#2697](https://github.com/knapsack-labs/app-monorepo/pull/2697) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 1

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.5.0 (Thu Jul 06 2023)

### Release Notes

#### Knapsack Atlas defaults to Chat Bot ([#2627](https://github.com/knapsack-labs/app-monorepo/pull/2627))

https://github.com/knapsack-labs/app-monorepo/assets/5743332/6d681548-f00a-49b2-8e7e-ef1f6acf43c8

- Knapsack Atlas defaults to the AI Chat Bot
- AtlasTrigger (renamed from FloatingHelper) toggles Atlas instead of opening a menu
- Previous FloatingHelper menu items moved into Atlas
<img width="717" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/56461e77-6dd3-45be-936c-3d7bd6a8bac5">

- Knapsack versions moved to "Knapsack" menu in app bar
<img width="242" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/0a0bd4d5-8f80-46c3-94a9-9fe68eda3da0">

---

#### 🚀 Enhancement

- DocBot: Makes DocBot default Atlas panel, Adds streaming response, updates UX, and updates language model response [#2683](https://github.com/knapsack-labs/app-monorepo/pull/2683) ([@mabry1985](https://github.com/mabry1985) [@EvanLovely](https://github.com/EvanLovely) [@renovate[bot]](https://github.com/renovate[bot]) [@GormanDesign](https://github.com/GormanDesign) [@illepic](https://github.com/illepic))

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3417-docbot-ux-update-and-refactor ([@mabry1985](https://github.com/mabry1985))
- merge latest ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3417-docbot-ux-update-and-refactor ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/ksp-3272-docbot-related-questions ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3272-docbot-related-questions [#2525](https://github.com/knapsack-labs/app-monorepo/pull/2525) ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3272-docbot-related-questions ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'feature/ksp-3272-docbot-related-questions' into feature/vercel-ai-sdk ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/vercel-ai-sdk ([@mabry1985](https://github.com/mabry1985))
- Knapsack Atlas defaults to Chat Bot [#2627](https://github.com/knapsack-labs/app-monorepo/pull/2627) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3272-docbot-related-questions ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 5

- [@renovate[bot]](https://github.com/renovate[bot])
- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.11 (Thu Jul 06 2023)

### Release Notes

#### Add ability to set font family across all items ([#2693](https://github.com/knapsack-labs/app-monorepo/pull/2693))

Adds a "Use For All Elements" action to the custom fonts form that sets the Font Family to every appearance option.
![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/8ea206e8-ec2c-48d1-857a-5d128100f4bf)

---

#### 🐛 Bug Fix

- Add ability to set font family across all items [#2693](https://github.com/knapsack-labs/app-monorepo/pull/2693) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.10 (Thu Jul 06 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3126-checkboxes-triggered-for-all-uploaded-files-when-copied ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Fixes Attachments block copy button state issues [#2653](https://github.com/knapsack-labs/app-monorepo/pull/2653) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.8 (Mon Jul 03 2023)

### Release Notes

#### Component Demo columns update based on block size KSP-2530 KSP-3409 ([#2673](https://github.com/knapsack-labs/app-monorepo/pull/2673))

Component Demo columns respond to the size of the block they are in. 
- Full Width: 1 column
- Large: 1 or 2 columns
- Medium: 1, 2, or 3 columns
- Small: 1, 2 or 4 columns

#### Adds empty state to color fields in theme settings KSP-3418 KSP-3241 ([#2686](https://github.com/knapsack-labs/app-monorepo/pull/2686))

- Adds empty state to Color Picker fields to prevent confusion of unset system options
![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/3aed25d4-b74c-4b11-b484-0ec029f5b52f)
- Adds text input for HEX format to Color Picker popover
![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/3466e780-145e-4bb0-9877-cb20ec1ca556)

---

#### 🐛 Bug Fix

- Component Demo columns update based on block size KSP-2530 KSP-3409 [#2673](https://github.com/knapsack-labs/app-monorepo/pull/2673) ([@GormanDesign](https://github.com/GormanDesign))
- Adds empty state to color fields in theme settings KSP-3418 KSP-3241 [#2686](https://github.com/knapsack-labs/app-monorepo/pull/2686) ([@GormanDesign](https://github.com/GormanDesign))
- Fixes token block values not wrapping when necessary [#2674](https://github.com/knapsack-labs/app-monorepo/pull/2674) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.7 (Fri Jun 30 2023)

#### 🐛 Bug Fix

- Primary nav fallback colors match site name fallbacks [#2687](https://github.com/knapsack-labs/app-monorepo/pull/2687) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.3 (Wed Jun 28 2023)

#### 🏠 Internal

- Add failing tests for additional spec types [#2676](https://github.com/knapsack-labs/app-monorepo/pull/2676) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.2 (Wed Jun 28 2023)

#### 🏠 Internal

- Adds additional Studio to Spec tests [#2667](https://github.com/knapsack-labs/app-monorepo/pull/2667) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.0 (Fri Jun 23 2023)

### Release Notes

#### Fixes link formatting in text editor ([#2647](https://github.com/knapsack-labs/app-monorepo/pull/2647))

Fixes the issue where after adding a link additional text would get appended to the link itself.

#### Private Pages ([#2550](https://github.com/knapsack-labs/app-monorepo/pull/2550))

- Adds ability to mark pages as private
- Private pages are denoted with a lock icon on the pages navigation item.
- Private pages remain in the navigation, but are only accessible to the set user role.
- Marking a page as private prevents lower roles from accessing the page itself and any of it's child pages.
- A private page can also be marked as hidden if users don't want the nav item to appear on latest.


**Private Page Controls**
![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/2fabb1a0-c51b-43c7-aca2-5dabb0b0a23b)


**Private Page with Access**
<img width="1624" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/00b49a1d-2f87-4767-822b-9ada62267255">

**Private Page without Access**
<img width="1624" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/2ea8fadd-076d-4460-9ade-3752932b561e">

---

#### 🚀 Enhancement

- Private Pages [#2550](https://github.com/knapsack-labs/app-monorepo/pull/2550) ([@GormanDesign](https://github.com/GormanDesign) [@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- Switching branches preserves tab context [#2648](https://github.com/knapsack-labs/app-monorepo/pull/2648) ([@GormanDesign](https://github.com/GormanDesign))
- Fixes link formatting in text editor [#2647](https://github.com/knapsack-labs/app-monorepo/pull/2647) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3300-add-ability-to-mark-pages-as-private ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3300-add-ability-to-mark-pages-as-private ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.3.3 (Fri Jun 23 2023)

#### 🐛 Bug Fix

- Fixes ability to add and update workspace logo in settings [#2662](https://github.com/knapsack-labs/app-monorepo/pull/2662) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.3.2 (Fri Jun 23 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into azure-provider-bug-fixes-latest ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- fix migration of UiConfig [#2661](https://github.com/knapsack-labs/app-monorepo/pull/2661) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.3.0 (Thu Jun 22 2023)

### Release Notes

#### Enables adding images via URL to Image Blocks ([#2642](https://github.com/knapsack-labs/app-monorepo/pull/2642))

https://github.com/knapsack-labs/app-monorepo/assets/5743332/957ba018-3e5b-4412-8203-92f26ab1fd3a

---

#### 🚀 Enhancement

- Enables adding images via URL to Image Blocks [#2642](https://github.com/knapsack-labs/app-monorepo/pull/2642) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.2.7 (Thu Jun 22 2023)

#### 🐛 Bug Fix

- Token reference select handles empty options [#2654](https://github.com/knapsack-labs/app-monorepo/pull/2654) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into fix/record-site-metrics-latest ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.2.6 (Wed Jun 21 2023)

#### 🐛 Bug Fix

- fix unable to get local issuer certificate issue [#2651](https://github.com/knapsack-labs/app-monorepo/pull/2651) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.2.5 (Wed Jun 21 2023)

### Release Notes

#### Toasts message handles markdown ([#2646](https://github.com/knapsack-labs/app-monorepo/pull/2646))

Toby toasts are now able to parse markdown in the provided message. 
<img width="383" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/46417c64-7ccc-43d3-969c-f161e31ca898">

---

#### 🐛 Bug Fix

- Hide missing block error when user cannot edit [#2649](https://github.com/knapsack-labs/app-monorepo/pull/2649) ([@GormanDesign](https://github.com/GormanDesign))
- Cleanup tooltip and toast language [#2644](https://github.com/knapsack-labs/app-monorepo/pull/2644) ([@GormanDesign](https://github.com/GormanDesign))
- Toasts message handles markdown [#2646](https://github.com/knapsack-labs/app-monorepo/pull/2646) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.2.4 (Wed Jun 21 2023)

### Release Notes

#### Template Stage UX Improvements ([#2638](https://github.com/knapsack-labs/app-monorepo/pull/2638))

- Hides stage form trigger when demo is template demo and user can't save
- Hide editing UI when a user can't save data
- Update stage panel trigger label based on demo type
- Allows reseting demo size to auto (default)
- Prevents extra scrolling in schema form

---

#### 🐛 Bug Fix

- Template Stage UX Improvements [#2638](https://github.com/knapsack-labs/app-monorepo/pull/2638) ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- KSP-3162: All active site client data archived to S3 nightly [#2640](https://github.com/knapsack-labs/app-monorepo/pull/2640) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.2.2 (Tue Jun 20 2023)

#### 🐛 Bug Fix

- Fixes template portal spec tab state not updating on save [#2639](https://github.com/knapsack-labs/app-monorepo/pull/2639) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.2.0 (Mon Jun 19 2023)

#### 🚀 Enhancement

- KSP-3365: support for Token Studio for Figma tokens [#2631](https://github.com/knapsack-labs/app-monorepo/pull/2631) ([@illepic](https://github.com/illepic) [@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- Merge remote-tracking branch 'origin/latest' into feature/ksp-3365-write-failing-tests-for-all-the-token-types ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-3365-write-failing-tests-for-all-the-token-types ([@illepic](https://github.com/illepic))

#### Authors: 2

- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.1.10 (Mon Jun 19 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into merge-latest-into-v3 ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 1

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.1.9 (Fri Jun 16 2023)

#### 🐛 Bug Fix

- setup migrations [#2629](https://github.com/knapsack-labs/app-monorepo/pull/2629) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.1.8 (Fri Jun 16 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3322-duplicating-a-page-does-not-duplicate-blocks ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.1.7 (Thu Jun 15 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3331-style-dictionary-and-tokens-studio-both-are-included-in ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/prune-old-template-stage ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/prune-old-template-stage ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/feature/ksp-3349-v4-migration-clicking-copy-link-to-playground-embed-sends' into feature/prune-old-template-stage ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/add-style-dictionary-output ([@illepic](https://github.com/illepic))

#### 🏠 Internal

- Merge remote-tracking branch 'origin/EvanLovely-patch-16' into feature/prune-old-template-stage [#2621](https://github.com/knapsack-labs/app-monorepo/pull/2621) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.1.6 (Thu Jun 15 2023)

#### 🐛 Bug Fix

- Box Shadow demo accepts string tokens [#2620](https://github.com/knapsack-labs/app-monorepo/pull/2620) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.1.5 (Wed Jun 14 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3276-handle-attempting-to-reference-a-token-with-no-options-that ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.1.4 (Wed Jun 14 2023)

#### 🐛 Bug Fix

- Fixes color swatches not displaying referenced token or description KSP-3342 [#2603](https://github.com/knapsack-labs/app-monorepo/pull/2603) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.1.3 (Tue Jun 13 2023)

#### 🐛 Bug Fix

- fix post add template url redirects KSP-3185 [#2608](https://github.com/knapsack-labs/app-monorepo/pull/2608) ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into v3 ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.1.2 (Tue Jun 13 2023)

#### 🐛 Bug Fix

- updates logic for setting nav link to active [#2604](https://github.com/knapsack-labs/app-monorepo/pull/2604) ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3216-tokens-active-nav-state-issues ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.1.0 (Tue Jun 13 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3336-attachments-block-allow-entering-a-url-instead-of-uploading ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.0.11 (Fri Jun 09 2023)

#### 🐛 Bug Fix

- KSP-3263 Added cases to handle inherit token [#2588](https://github.com/knapsack-labs/app-monorepo/pull/2588) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))

#### Authors: 2

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

---

# v4.0.10 (Thu Jun 08 2023)

### Release Notes

#### show error message when switching to v3 branch on v4 ([#2591](https://github.com/knapsack-labs/app-monorepo/pull/2591))

When on v4 and switching to an older branch from v3 a basic error now shows up for the user:

![CleanShot 2023-06-08 at 15 45 40](https://github.com/knapsack-labs/app-monorepo/assets/569699/98378ced-ef81-4baa-b4d0-37c291ee29d6)

---

#### 🐛 Bug Fix

- show error message when switching to v3 branch on v4 [#2591](https://github.com/knapsack-labs/app-monorepo/pull/2591) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.0.8 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- KSP-3326: SCSS/LESS/CSSvars proper inline var output [#2582](https://github.com/knapsack-labs/app-monorepo/pull/2582) ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/ksp-3326-tokens-to-sass-converter-outputs-incorrect-media-queries ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/ksp-3286-navigating-cold-to-token-group-with-dots-in-name-causes-404 ([@illepic](https://github.com/illepic))
- Merge branch 'feature/ksp-3280-tokens-editing-group-creates-new-nested-group-in-empty-key' into feature/ksp-3286-navigating-cold-to-token-group-with-dots-in-name-causes-404 ([@illepic](https://github.com/illepic))

#### Authors: 1

- Christopher Bloom ([@illepic](https://github.com/illepic))

---

# v4.0.7 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- adds logic to disable editing theme unless on branch [#2585](https://github.com/knapsack-labs/app-monorepo/pull/2585) ([@mabry1985](https://github.com/mabry1985))
- merge latest ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.0.6 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- KSP-3280: token rename and grouping works [#2543](https://github.com/knapsack-labs/app-monorepo/pull/2543) ([@illepic](https://github.com/illepic) [@GormanDesign](https://github.com/GormanDesign) [@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-3280-tokens-editing-group-creates-new-nested-group-in-empty-key ([@illepic](https://github.com/illepic))
- Merge branch 'epic/v4' into feature/ksp-3280-tokens-editing-group-creates-new-nested-group-in-empty-key ([@illepic](https://github.com/illepic))

#### Authors: 3

- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.0.5 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3329-move-back-to-webpack-for-pre-bundling ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- re-setup webpack for App UI instead of vite KSP-3329 [#2581](https://github.com/knapsack-labs/app-monorepo/pull/2581) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.0.4 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- KSP-3310 tokens temporarily disable cubicBezier transition token [#2561](https://github.com/knapsack-labs/app-monorepo/pull/2561) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@GormanDesign](https://github.com/GormanDesign) [@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge branch 'latest' into feature/ksp-3281-tokens-deleting-a-token-does-not-close-panel-and-redirects-redux ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into GormanDesign-patch-2 ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into GormanDesign-patch-1 ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 5

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.0.3 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- manually bump version to 4.0.2 [#2580](https://github.com/knapsack-labs/app-monorepo/pull/2580) ([@EvanLovely](https://github.com/EvanLovely))
- manually bump version to 4.0.2 ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/v3' into feature/v3-update-latest ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/v3-update-latest ([@EvanLovely](https://github.com/EvanLovely))
- v3.117.0 ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.0.1 (Wed Jun 07 2023)

#### 🐛 Bug Fix

- reset pkg versions back to 4.0.0 ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/v3-update-latest ([@EvanLovely](https://github.com/EvanLovely))
- Bump version to: v3.116.7 \[skip ci\] ([@KnapsackBot](https://github.com/KnapsackBot))

#### 🏠 Internal

- v3 -> latest [#2577](https://github.com/knapsack-labs/app-monorepo/pull/2577) ([@EvanLovely](https://github.com/EvanLovely) [@freneticpixel](https://github.com/freneticpixel))

#### Authors: 3

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- KnapsackBot ([@KnapsackBot](https://github.com/KnapsackBot))

---

# v3.116.6 (Tue Jun 06 2023)

#### 🐛 Bug Fix

- Add copy action to code snippet block KSP-3248 [#2553](https://github.com/knapsack-labs/app-monorepo/pull/2553) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v3.116.5 (Mon Jun 05 2023)

#### 🐛 Bug Fix

- ensure slots form only shows patterns of same template language KSP-3271 [#2555](https://github.com/knapsack-labs/app-monorepo/pull/2555) ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-3288-add-excludefromanalytics-to-sites-table ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- KSP-3288: Adds excludeFromAnalytics to sites and filters on this for daily summaries [#2535](https://github.com/knapsack-labs/app-monorepo/pull/2535) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v3.116.4 (Mon Jun 05 2023)

#### 🐛 Bug Fix

- Adds success toasts for template demo updates [#2545](https://github.com/knapsack-labs/app-monorepo/pull/2545) ([@GormanDesign](https://github.com/GormanDesign) [@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v3.116.3 (Mon Jun 05 2023)

#### 🐛 Bug Fix

- Fixes template language id not updating in template form [#2541](https://github.com/knapsack-labs/app-monorepo/pull/2541) ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Add fs-extra types to packages without it [#2551](https://github.com/knapsack-labs/app-monorepo/pull/2551) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v3.116.0 (Fri May 26 2023)

#### 🚀 Enhancement

- pull all tools pkgs back in [#2526](https://github.com/knapsack-labs/app-monorepo/pull/2526) ([@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- formatting pkgs ([@EvanLovely](https://github.com/EvanLovely))
- aligning all package versions ([@EvanLovely](https://github.com/EvanLovely))
- pull tools pkgs back into monorepo ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v3.111.0 (Wed Apr 19 2023)

#### 🐛 Bug Fix

- Merge branch 'main' into feature/monorepo-tool-updates ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v3.109.0 (Tue Apr 18 2023)

### Release Notes

#### add auto releases ([#1](https://github.com/knapsack-labs/tools/pull/1))

Initial release of our tools on the new public monorepo!

---

#### 🚀 Enhancement

- add auto releases [#1](https://github.com/knapsack-labs/tools/pull/1) ([@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- add pkg format ([@EvanLovely](https://github.com/EvanLovely))
- clear turbo cache ([@EvanLovely](https://github.com/EvanLovely))
- update npmignore to include .turbo ([@EvanLovely](https://github.com/EvanLovely))
- change to workspace:* version specifier ([@EvanLovely](https://github.com/EvanLovely))
- swap files array for npmignore approach ([@EvanLovely](https://github.com/EvanLovely))
- change version from workspace:* to actual ([@EvanLovely](https://github.com/EvanLovely))
- add licenses ([@EvanLovely](https://github.com/EvanLovely))

#### ⚠️ Pushed to `main`

- initial commit ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
